Intermittent browser_dbg_update-editor-mode.js | Test timed out (followed by an uncaught exception in browser_devtools_api.js)
Rev3 WINNT  mozilla-inbound debug test mochitest-browser-chrome on   PST for push d72d915e308b

slave: talos-r3-w7-064



{
TEST-INFO |  | Console message: [JavaScript Warning: "ReferenceError: reference to undefined property typedRule.beginOld2New" {file:  line: 
TEST-INFO |  | Console message: [JavaScript Warning: "ReferenceError: reference to undefined property typedRule.endOld2New" {file:  line: 
TEST-PASS |  | There is a gTab to use for getting a toolbox reference
DBG-FRONTEND: Destroying the DebuggerView
DBG-FRONTEND: Destroying the ToolbarView
DBG-FRONTEND: Destroying the OptionsView
DBG-FRONTEND: Destroying the ChromeGlobalsView
DBG-FRONTEND: Destroying the SourcesView
DBG-FRONTEND: Destroying the FilterView
DBG-FRONTEND: Destroying the StackFramesView
DBG-FRONTEND: Destroying the BreakpointsView
DBG-FRONTEND: Destroying the WatchExpressionsView
DBG-FRONTEND: Destroying the GlobalSearchView
DBG-FRONTEND: Destroying the DebuggerView window
DBG-FRONTEND: Destroying the DebuggerView panes
DBG-FRONTEND: Destroying the DebuggerView editor
DBG-FRONTEND: SourceScripts is disconnecting...
DBG-FRONTEND: StackFrames is disconnecting...
DBG-FRONTEND: ThreadState is disconnecting...
WARNING: NS_ENSURE_TRUE(selCon) failed: file  line 
WARNING: NS_ENSURE_TRUE(selcon) failed: file  line 
WARNING: NS_ENSURE_TRUE(mDisabledJSAndPlugins) failed: file  line 
WARNING: NS_ENSURE_TRUE(selCon) failed: file  line 
WARNING: NS_ENSURE_TRUE(selcon) failed: file  line 
WARNING: NS_ENSURE_TRUE(mDoneSetup) failed: file  line 
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result  file  line 
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file  line 
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result  file  line 
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file  line 
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result  file  line 
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file  line 
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result  file  line 
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file  line 
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result  file  line 
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file  line 
--DOCSHELL  ==  [id = 
--DOCSHELL  ==  [id = 
--DOMWINDOW ==  (4467D7D0) [serial =  [outer =  [url = about:blank]
--DOMWINDOW ==  (4467E070) [serial =  [outer =  [url = 
--DOMWINDOW ==  (4468A4A8) [serial =  [outer =  [url = 
--DOMWINDOW ==  (446AB718) [serial =  [outer =  [url = about:blank]
--DOMWINDOW ==  (446923E0) [serial =  [outer =  [url = 
--DOMWINDOW ==  (4469A768) [serial =  [outer =  [url = 
--DOMWINDOW ==  (4468AF70) [serial =  [outer =  [url = about:blank]
--DOMWINDOW ==  (44685FA8) [serial =  [outer =  [url = 
--DOMWINDOW ==  (446B5030) [serial =  [outer =  [url = about:blank]
--DOCSHELL  ==  [id = 
--DOCSHELL  ==  [id = 
--DOMWINDOW ==  (44692C80) [serial =  [outer =  [url = about:blank]
--DOMWINDOW ==  (446B4340) [serial =  [outer =  [url = about:blank]
--DOMWINDOW ==  (44699CA0) [serial =  [outer =  [url = 
--DOMWINDOW ==  (446A5A60) [serial =  [outer =  [url = 
--DOMWINDOW ==  (446A6300) [serial =  [outer =  [url = 
TEST-UNEXPECTED-FAIL |  | Test timed out
WARNING: NS_ENSURE_TRUE(mMutable) failed: file  line 
INFO TEST-END |  | finished in 
TEST-INFO | checking window state
TEST-START | 
++DOCSHELL  ==  [id = 
++DOMWINDOW ==  (44682348) [serial =  [outer = 
++DOMWINDOW ==  (446B2DB0) [serial =  [outer = 
WARNING: NS_ENSURE_TRUE(mMutable) failed: file  line 
WARNING: NS_ENSURE_TRUE(mMutable) failed: file  line 
WARNING: NS_ENSURE_TRUE(frame) failed: file  line 
WARNING: NS_ENSURE_TRUE(frame) failed: file  line 
WARNING: NS_ENSURE_TRUE(frame) failed: file  line 
++DOMWINDOW ==  (446A5A60) [serial =  [outer = 
TEST-UNEXPECTED-FAIL |  | uncaught exception - ReferenceError: finish is not defined at 
Stack trace:
JS frame ::  :: simpletestOnerror :: line 
native frame :: <unknown filename> :: <TOP_LEVEL> :: line 

JavaScript error:  line  finish is not defined
WARNING: NS_ENSURE_TRUE(mMutable) failed: file  line 
TEST-PASS |  | gDevTools exists
}
